> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.base/general/wisej.base.postbackpropertyattribute.md).

# PostbackPropertyAttribute

Namespace: **Wisej.Base**

Assembly: **Wisej.Framework** (4.0.0.0)

Allows the property to return its value to postback requests.

{% tabs %}
{% tab title="C#" %}

```csharp
public class PostbackPropertyAttribute : Attribute
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class PostbackPropertyAttribute
    Inherits Attribute
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) PostbackPropertyAttribute()

Initializes the [PostbackPropertyAttribute](/api/wisej.base/general/wisej.base.postbackpropertyattribute.md) attribute.

### ![](/files/hsR4ok3152WyAf8J2C1u) PostbackPropertyAttribute(allow)

Initializes the [PostbackPropertyAttribute](/api/wisej.base/general/wisej.base.postbackpropertyattribute.md) attribute.

| Name      | Type                                                            | Description                                                                                       |
| --------- | --------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| **allow** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | Indicates whether the property is allowed or disallowed to return its value to postback requests. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Allow

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the property is allows to return its value to postback requests.

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) IsPostbackProperty(property)

Returns true if the property allows postback requests.

| Parameter    | Type                                                                                                 | Description        |
| ------------ | ---------------------------------------------------------------------------------------------------- | ------------------ |
| **property** | [PropertyDescriptor](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertydescriptor) | Property to check. |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). True if the *property* allows postback requests.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.base/general/wisej.base.postbackpropertyattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
